datacache <- new.env(hash=TRUE, parent=emptyenv())

int.did_dbconn <- function() dbconn(datacache)
int.did_dbfile <- function() dbfile(datacache)
int.did_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, 
    file=file, show.indices=show.indices)
int.did_dbInfo <- function() dbInfo(datacache)

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)   
    warning(sprintf("\n*** Stale annotation package warning ***:\nThe package '%s' has not been updated by it's contributor.\nIt is out of date and may not be supported after Bioc release 2.5.\nIf you want a newer version you should use PAnnBuilder to make one.\n\n", pkgname))
    require("PAnnBuilder", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "int.did.sqlite", package="int.did.db", 
        lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs("3DID", "int.did", datacache, dbconn)    
    mergeToNamespaceAndExport(ann_objs, "int.did.db" )
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(int.did_dbconn())
}

