\name{int.did_dbconn}
\alias{int.did_dbconn}
\alias{int.did_dbfile}
\alias{int.did_dbschema}
\alias{int.did_dbInfo}
\title{Collect information about the package annotation DB}
\description{  
  Some convenience functions for getting a connection object to (or collecting 
  information about) the package annotation DB. 
}
\usage{
  int.did_dbconn()
  int.did_dbfile()
  int.did_dbschema(file="", show.indices=FALSE)
  int.did_dbInfo()
}
\arguments{ 
  \item{file}{A connection, or a character string naming the file to print to 
    (see the file argument of the cat function for the details). }
  \item{show.indices}{The CREATE INDEX statements are not shown by default. Use 
    show.indices=TRUE to get them. }
}
\details{
  \code{int.did_dbconn} returns a connection object to the package annotation DB. 
  IMPORTANT: Don't call \code{\link[DBI]{dbDisconnect}} on the connection object 
  returned by \code{int.did_dbconn} or you will break all the 
  \code{\link[AnnotationDbi]{AnnDbObj}} objects defined in this package! 

  \code{int.did_dbfile} returns the path (character string) to the package
  annotation DB (this is an SQLite file). 

  \code{int.did_dbschema} prints the schema definition of the package annotation
  DB. 

  \code{int.did_dbInfo} prints other information about the package annotation
  DB. 
}
\examples{
  ## Show the first three rows.
  dbGetQuery(int.did_dbconn(), "select * from did limit 3")

  ## The connection object returned by int.did_dbconn() was created with:
  dbConnect(SQLite(), dbname=int.did_dbfile(), cache_size=64000, synchronous=0)

  int.did_dbschema()

  int.did_dbInfo()
}
